BearerAuthorizationBearer <token>Installer.com auth token
webformId*stringuuidpartnershipId?stringCreate webform order
application/json- body
name?|length <= 150description?||nullmetadata?|nullactorAssignments?array<>partnershipId?string|nullworkflowCustomId?string|nullidempotencyKey?|A unique optional identifier for the order. If the same idempotency key is used for multiple requests, the order will be created only once. Any string up to 150 characters is allowed. If not provided check for existing order with the same idempotency key will not be performed. Ideally use a UUID.
1 <= length <= 150files?array<>|nullorderTagIds?array<>|nullcustomFields?array<>|nulloffer?isTest?|Marks the order as a test order, e.g. created to try out a workflow template.
email*stringemailphoneNumber*stringcontactPersonName*string1 <= length <= 150customerLegalId?|1 <= length <= 50externalId?|The caller's own reference for this order in an external system (e.g. an accounting project reference). Free-form, up to 100 characters.
length <= 100property?||nulladdress*stringlength <= 250city*stringlength <= 150postalCode*stringlength <= 50state?|length <= 16countryCode*stringlatitude?number|nulllongitude?number|nullCreates webform order
application/json- response
id*stringuuidtoken*stringclientUrl*stringuricurl -X POST 'https://api.installer.com/api/v1/webform-order/497f6eca-6276-4993-bfeb-53cbbbba6f08' \ -H 'Content-Type: application/json' \ -d '{ "email": "[email protected]", "phoneNumber": "string", "contactPersonName": "string", "address": "string", "city": "string", "postalCode": "string", "countryCode": "string"}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "token": "string", "clientUrl": "http://example.com"}Create Api V1 Product POST
Previous Page
Create V1 Unclaimed Partner Organization POST
Creates a new partner organization with a name and a partnershipExternalId (your own id for the partner, used to refer to it in your systems), and immediately sets up an active partnership and routing availability so the new organization can send jobs to your organization (it will then appear in GET /v1/partners). ONLY use this endpoint if you know the partner is not already on the platform — creating a duplicate organization for a partner that already exists will fragment their data. Use GET /v1/partners first to check whether the partner already exists.